Telegram APIAccount
account.setGlobalPrivacySettings
Set global privacy settings
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
workspaceId*string
Workspace ID
accountId*string
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
params*
Set global privacy settings
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/account.setGlobalPrivacySettings" \ -H "Content-Type: application/json" \ -d '{ "params": { "settings": { "_": "globalPrivacySettings" } } }'{ "result": { "_": "globalPrivacySettings", "archiveAndMuteNewNoncontactPeers": true, "keepArchivedUnmuted": true, "keepArchivedFolders": true, "hideReadMarks": true, "newNoncontactPeersRequirePremium": true, "displayGiftsButton": true, "noncontactPeersPaidStars": "string", "disallowedGifts": { "_": "disallowedGiftsSettings", "disallowUnlimitedStargifts": true, "disallowLimitedStargifts": true, "disallowUniqueStargifts": true, "disallowPremiumGifts": true, "disallowStargiftsFromChannels": true } }}